# Dialog

- category: UI
- chinese: 自定义对话框
- type: UI组件

---


## Design

Dialog component is designed for customized popup windows. Dialog use aliweex `mask` component as mask layer. **So Please integrate latest aliweex sdk in your native app code to avoid weird behavior**.



## API

| 参数         | 说明                   | 类型     | 默认值 |
| ------------ | ---------------------- | -------- | ------ |
| contentStyle | 内容区样式             | obj      | 无     |
| maskStyle    | 遮罩层样式             | obj      | 无     |
| visible      | 是否默认展示           | boolean  | false  |
| onHide       | 浮层关闭时触发回调     | Function |
| onShow       | 浮层打开后后触发回调   | Function | false  |
| duration     | 动画渲染时间，ms单位   | number   | 200    |
| maskClosable | 是否可以点击遮罩层关闭 | boolean  | false  |


