# Dialog

- category: UI
- chinese: 自定义对话框
- type: UI组件

---


## 设计思路

Dialog 用于展示自定义对话框，在端内底层遮罩使用 aliweex 内部提供的 mask 组件。因此需要安装**最新版本的 aliweex 才可以正常使用，如果版本过低可能会存在各种兼容性问题**。



## API

| 参数         | 说明                   | 类型     | 默认值 |
| ------------ | ---------------------- | -------- | ------ |
| contentStyle | 内容区样式             | obj      | 无     |
| maskStyle    | 遮罩层样式             | obj      | 无     |
| visible      | 是否默认展示           | boolean  | false  |
| onHide       | 浮层关闭时触发回调     | Function |
| onShow       | 浮层打开后后触发回调   | Function | false  |
| duration     | 动画渲染时间，ms单位   | number   | 200    |
| maskClosable | 是否可以点击遮罩层关闭 | boolean  | false  |


